<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/test/Attachment/Common/Common.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></li><li class="navelem"><a class="el" href="dir_d572fa3caec8a2b52e65599c67d7ac56.html">Attachment</a></li><li class="navelem"><a class="el" href="dir_9a3938996a9428cfc2382045181f30d3.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Common.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;<a class="el" href="_in_process_s_d_s_8h_source.html">AVSCommon/Utils/SDS/InProcessSDS.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Common.h:</div>
<div class="dyncontent">
<div class="center"><img src="_a_v_s_2test_2_attachment_2_common_2_common_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8h">
<area shape="rect" id="node4" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1846,105,2008,144"/>
<area shape="rect" id="node9" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="825,192,972,217"/>
<area shape="rect" id="node12" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1003,339,1179,377"/>
<area shape="rect" id="node27" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1126,265,1234,291"/>
<area shape="rect" id="node28" href="_reader_8h.html" title="Reader.h" alt="" coords="765,265,840,291"/>
<area shape="rect" id="node32" href="_writer_8h.html" title="Writer.h" alt="" coords="458,265,526,291"/>
<area shape="rect" id="node14" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1384,425,1560,464"/>
<area shape="rect" id="node16" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1085,512,1299,551"/>
<area shape="rect" id="node19" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1323,599,1499,637"/>
<area shape="rect" id="node20" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1645,512,1821,551"/>
<area shape="rect" id="node25" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1374,512,1570,551"/>
<area shape="rect" id="node26" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="179,685,355,724"/>
<area shape="rect" id="node21" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1616,599,1792,637"/>
<area shape="rect" id="node23" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="429,685,605,724"/>
<area shape="rect" id="node31" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="633,345,743,371"/>
<area shape="rect" id="node33" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="194,345,297,371"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_a_v_s_2test_2_attachment_2_common_2_common_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8hdep">
<area shape="rect" id="node2" href="_attachment_manager_v2_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/Attachment/AttachmentManagerV2\lTest.cpp" alt="" coords="5,105,238,171"/>
<area shape="rect" id="node3" href="_attachment_reader_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/Attachment/AttachmentReaderTest.cpp" alt="" coords="262,112,519,164"/>
<area shape="rect" id="node4" href="_attachment_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/Attachment/AttachmentTest.cpp" alt="" coords="543,112,756,164"/>
<area shape="rect" id="node5" href="_attachment_writer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/Attachment/AttachmentWriterTest.cpp" alt="" coords="780,112,1029,164"/>
<area shape="rect" id="node6" href="_a_v_s_2test_2_attachment_2_common_2_common_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/Attachment/Common/Common.cpp" alt="" coords="1053,112,1286,164"/>
</map>
</div>
</div>
<p><a href="_a_v_s_2test_2_attachment_2_common_2_common_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html">alexaClientSDK::avsCommon::avs::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5ef6994b97c5156a7d6f3d3843066a42"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; InProcessSDS &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5ef6994b97c5156a7d6f3d3843066a42">alexaClientSDK::avsCommon::avs::test::createSDS</a> (int desiredSize)</td></tr>
<tr class="separator:a5ef6994b97c5156a7d6f3d3843066a42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a993cec2fcb549bc0d284a723a00f43b0"><td class="memItemLeft" align="right" valign="top">std::vector&lt; uint8_t &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a993cec2fcb549bc0d284a723a00f43b0">alexaClientSDK::avsCommon::avs::test::createTestPattern</a> (int patternSize)</td></tr>
<tr class="separator:a993cec2fcb549bc0d284a723a00f43b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae375e1caae02720fafb872b536111d37"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae375e1caae02720fafb872b536111d37">alexaClientSDK::avsCommon::avs::test::TEST_ATTACHMENT_ID_STRING_ONE</a> = &quot;testAttachmentId_1&quot;</td></tr>
<tr class="memdesc:ae375e1caae02720fafb872b536111d37"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test AttachmentId string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae375e1caae02720fafb872b536111d37">More...</a><br /></td></tr>
<tr class="separator:ae375e1caae02720fafb872b536111d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9118f37cc76dd2df512d790cd8b9577a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a9118f37cc76dd2df512d790cd8b9577a">alexaClientSDK::avsCommon::avs::test::TEST_ATTACHMENT_ID_STRING_TWO</a> = &quot;testAttachmentId_2&quot;</td></tr>
<tr class="memdesc:a9118f37cc76dd2df512d790cd8b9577a"><td class="mdescLeft">&#160;</td><td class="mdescRight">A second test AttachmentId string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a9118f37cc76dd2df512d790cd8b9577a">More...</a><br /></td></tr>
<tr class="separator:a9118f37cc76dd2df512d790cd8b9577a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5129e40074fb47a5fa0bf037411bbd59"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5129e40074fb47a5fa0bf037411bbd59">alexaClientSDK::avsCommon::avs::test::TEST_ATTACHMENT_ID_STRING_THREE</a> = &quot;testAttachmentId_3&quot;</td></tr>
<tr class="memdesc:a5129e40074fb47a5fa0bf037411bbd59"><td class="mdescLeft">&#160;</td><td class="mdescRight">A third test AttachmentId string.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5129e40074fb47a5fa0bf037411bbd59">More...</a><br /></td></tr>
<tr class="separator:a5129e40074fb47a5fa0bf037411bbd59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91ca3f8dd70ba74b1d527645a084faee"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a91ca3f8dd70ba74b1d527645a084faee">alexaClientSDK::avsCommon::avs::test::TEST_SDS_BUFFER_SIZE_IN_BYTES</a> = 400</td></tr>
<tr class="memdesc:a91ca3f8dd70ba74b1d527645a084faee"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test buffer size.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a91ca3f8dd70ba74b1d527645a084faee">More...</a><br /></td></tr>
<tr class="separator:a91ca3f8dd70ba74b1d527645a084faee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae78e0575415480a85b84bf0a3eeacb33"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae78e0575415480a85b84bf0a3eeacb33">alexaClientSDK::avsCommon::avs::test::TEST_SDS_PARTIAL_WRITE_AMOUNT_IN_BYTES</a> = 150</td></tr>
<tr class="memdesc:ae78e0575415480a85b84bf0a3eeacb33"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test buffer write size.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae78e0575415480a85b84bf0a3eeacb33">More...</a><br /></td></tr>
<tr class="separator:ae78e0575415480a85b84bf0a3eeacb33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a784cbe128c16d515c33066ecb8b69790"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a784cbe128c16d515c33066ecb8b69790">alexaClientSDK::avsCommon::avs::test::TEST_SDS_PARTIAL_READ_AMOUNT_IN_BYTES</a> = 150</td></tr>
<tr class="memdesc:a784cbe128c16d515c33066ecb8b69790"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test buffer read size.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a784cbe128c16d515c33066ecb8b69790">More...</a><br /></td></tr>
<tr class="separator:a784cbe128c16d515c33066ecb8b69790"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
